%define desktop_file 1
%define desktop_file_utils_version 0.2.90

Name: kdbg
Summary: A GUI for gdb, the GNU debugger, and KDE.
Version: 1.2.9
Release: 6.XOS.1
Epoch: 1
Source: http://download.sourceforge.net/kdbg/%{name}-%{version}.tar.gz
Patch0: kdbg-1.2.8-lib64.patch
Patch1: kdbg-1.2.9-warning.patch
License: GPL
URL: http://members.telecom.at/~johsixt/kdbg.html
Group: Development/Debuggers
Buildroot: %{_tmppath}/%{name}-buildroot

Requires: gdb

BuildPrereq: qt-devel >= 3.2.3
BuildPrereq: kdelibs-devel >= 3.2.0
BuildPrereq: XFree86-devel

%if %{desktop_file}
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
KDbg is a K Desktop Environment (KDE) GUI for gdb, the GNU debugger.
KDbg provides the programmer with an intuitive interface for setting
breakpoints, inspecting variables, and stepping through code. KDbg
requires X and KDE to be installed in order to run.

%prep
%setup -q
%ifarch ppc64 s390x x86_64
%patch0 -p1 -b .libdir
%endif
%patch1 -p1 -b .warning

%build
unset QTDIR || : ; source /etc/profile.d/qt.sh
export KDEDIR=%{_prefix}
export CXXFLAGS="$RPM_OPT_FLAGS"
export LIBQTMT="-lqt-mt"

[ -f configure.in ] && libtoolize --copy --force

%configure --with-qt-dir=$QTDIR --disable-rpath

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# start desktop-file-install
%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor kde \
   --delete-original \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "Application;Development;X-Red-Hat-Extra" \
   $RPM_BUILD_ROOT%{_datadir}/applnk/*/* || true
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/apps/%{name}
%{_datadir}/icons/*/*/*/*
%lang(de) %{_docdir}/HTML/de/%{name}
%lang(ru) %{_docdir}/HTML/ru/%{name}
%{_docdir}/HTML/en/%{name}

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 1:1.2.9-6.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on kdbg-1.2.9-6.src.rpm
  (md5sum of original source rpm: 74ef129432da8520ce083b5d0fef36fe).

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 13 2004 Than Ngo <than@redhat.com> 1.2.9-5
- get rid of rpath
- add correct smp flags

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 03 2004 Than Ngo <than@redhat.com> 1.2.9-3 
- added patch file from Marcelo Roberto

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 1:1.2.9-2
- rebuild against KDE 3.2

* Tue Sep 09 2003 Than Ngo <than@redhat.com> 1:1.2.9-1
- 1.2.9

* Tue Aug 12 2003 Than Ngo <than@redhat.com> 1:1.2.8-3
- rebuilt

* Tue Aug 12 2003 Than Ngo <than@redhat.com> 1:1.2.8-2
- rebuilt

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 1.2.8-1
- 1.2.8

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May  7 2003 Than Ngo <than@redhat.com> 1.2.7-1
- 1.2.7

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec  9 2002 Than Ngo <than@redhat.com> 1.2.6-1
- update to 1.2.6
- use %%configure
- remove a patch file, which is in new upstream

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 1.2.4-10.1
- clean up specfile

* Mon Aug 12 2002 Tim Powers <timp@redhat.com>
- rebuilt with gcc-3.2

* Tue Jul 23 2002 Than Ngo <than@redhat.com> 1.2.4-8
- fixed desktop file issue
- rebuild against gcc-3.2-0.1

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 1.2.4-7
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Apr 16 2002 Than Ngo <than@redhat.com> 1.2.4-4
- rebuild

* Tue Mar  7 2002 Than Ngo <than@redhat.com> 1.2.4-3
- fix to build in new enviroment

* Mon Jan 21 2002 Than Ngo <than@redhat.com> 1.2.4-1
- update to 1.2.4
- fix to build against kde3

* Fri Dec  7 2001 Than Ngo <than@redhat.com> 1.2.2-1
- update to 1.2.2, a stable release
- add missing po files bug #55957

* Wed Aug 14 2001 Than Ngo <than@redhat.com> 1.2.1-5
- add patch from leon@geon.donetsk.ua fixing broken russian desktop file (bug #51645)

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.2.1-4
- Rebuild with new kdelibs, remove kdesupport dependency

* Sun Jun 24 2001 Than Ngo <than@redhat.com>
- add buildprereq

* Wed Jun 20 2001 Than Ngo <than@redhat.com>
- rebuild in new enviroment

* Sun Apr 29 2001 Than Ngo <than@redhat.com>
- update to 1.2.1
- use %lang

* Wed Feb 28 2001 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Tue Dec 26 2000 Than Ngo <than@redhat.com>
- fixed dependency with kde-i18n

* Mon Dec 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.2.0
- bzip2 source

* Sun Nov 12 2000 Than Ngo <than@redhat.com>
- update to 1.1.7beta1
- build with kde2 final

* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8
 
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- move back to powertools (kde1 ist now installed as default)
- rebuilt against the kde1
 
* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- use %%configure
- FHS fxies
- clean up specfile
- fix to build against new libstdc++
 
* Tue Feb 22 2000 Preston Brown <pbrown@redhat.com>
- fix kde_htmldir
 
* Thu Jan 13 2000 Ngo Than <than@redhat.de>
- updated to 1.0.2

* Fri Sep 10 1999 Preston Brown <pbrown@redhat.com>
- built for KDE 1.1.2 / RHL 6.1.

* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0







